Bug 9657 - sfconvert dumps core
sfconvert dumps core
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: audiofile (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-21 15:03 EST by David Lawrence
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-03 12:21:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2000-02-21 15:03:47 EST
sfconvert /usr/share/sounds/phone.wav ./phone -f aiff causes an abort core
dumped message
Comment 1 Preston Brown 2000-02-23 21:27:59 EST
elliot:  please determine why audiofile doesn't recognize this wav file, which
is perfectly normal to play via xmms or numerous other programs.
Comment 2 Elliot Lee 2000-02-24 15:02:59 EST
This is not totally audiofile's problem - the user is specifying an invalid
command line ("-f" is not a valid option, "format" is).

I've fixed sfconvert in CVS to give some error messages, and catch this problem
before it happens.
Comment 3 Glen Foster 2000-03-03 12:21:59 EST
Although Elliot's analysis is completely correct, the program *still* dumps
core when executed as described above (e.g., with the "-f" option instead
of using "format").  The error message is very cryptic, and given that there
is no documentation on-line (and the usage: message is not very informative),
this defect is being re-opened, and DEFERRED for the 6.2 release.

This should *really* be fixed prior to 7.0/Winston.

Note You need to log in before you can comment on or make changes to this bug.